Subject: Re: Problem with mini-PCI-E slot on P2020RDB

From: Felix Radensky <[email-masked]>
Date: Tue, 12 Apr 2011 07:54:14 +0300

Hi Poonam

On 04/12/2011 07:05 AM, Aggrwal Poonam-B10812 wrote:
> Hello Felix
>
> Please find some comments inline.
>
> Regards
> Poonam
>
>> -----Original Message-----
>> From: Kushwaha Prabhakar-B32579
>> Sent: Tuesday, April 12, 2011 9:26 AM
>> To: Aggrwal Poonam-B10812
>> Subject: FW: Problem with mini-PCI-E slot on P2020RDB
>>
>>
>>
>> -----Original Message-----
>> From: Felix Radensky [mailto:[email-masked]]
>> Sent: Monday, April 11, 2011 7:16 PM
>> To: Kushwaha Prabhakar-B32579
>> Cc: Fabian Bertholm; Leon Woestenberg; [email-masked]; Mahajan
>> Vivek-B08308; Aggrwal Poonam-B10812; Gupta Maneesh-B18878
>> Subject: Re: Problem with mini-PCI-E slot on P2020RDB
>>
>> Hi Prabhakar,
>>
>> On 04/11/2011 02:09 PM, Kushwaha Prabhakar-B32579 wrote:
>>> Hi,
>>>
>>> Yes. It wil be applicable for all revisions.
>>>
>>> Regards,
>>> Prabhakar
>>>
>> I'm sure this is applicable to all revisions, but it doesn't necessarily
>> makes things work. The problem I've reported back in 2009 still exists on
>> P2020RDB revC, even if I use the latest u-boot and kernel and make device
>> tree changes that you've suggested.
>> I've attached the boot log.
> As such there is no hardware fix related to this issue between RevC to RevD. The solution was a software patch to resolve the issue related to IRQ0.

Are you sure ? Please take a look at Freescale document titled 
"P1020E/P2020E RDB System Errata".
There's errata CE10, IRQ0 held low. It is fixed in Rev D. Vivek 
Mahajan, who looked at the issue back
in 2009, estimated that problem can be related to missing pull-up on 
IRQ0. This is exactly what is
fixed in Rev D.

Felix.